Tickets
Search a ticket
GET
/
ticket
/
search
Search a ticket
curl --request GET \
--url https://shortext.ny-corp.io/api/ticket/search \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://shortext.ny-corp.io/api/ticket/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://shortext.ny-corp.io/api/ticket/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://shortext.ny-corp.io/api/ticket/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 62,
"app_id": 1,
"contact_detail_id": 2728,
"whatsapp_session_id": 6023,
"ticket_status_id": 7,
"position": 1,
"subject": "Problème technique lors de la recherche d'offres en marketing et commerce",
"description": "L'utilisateur Angèle recherche des opportunités en marketing et commerce, mais un problème technique (timeout lors de la recherche) empêche de fournir les résultats. Une assistance est nécessaire pour résoudre ce problème et fournir des offres pertinentes.",
"ticket_sla_policy_id": 5,
"responded_at": null,
"response_due_at": "2025-05-19T08:00:21.000000Z",
"resolved_at": null,
"resolved_due_at": "2025-05-19T15:00:22.000000Z",
"closed_at": null,
"is_response_breached": true,
"is_resolve_breached": true,
"satisfaction_requested": false,
"satisfaction_rating": null,
"meta": null,
"created_at": "2025-05-16T19:02:22.000000Z",
"updated_at": "2025-09-10T15:16:42.000000Z",
"hashid": "STT-XLWY6P",
"ticket_status": {
"id": 7,
"name": "Resolved",
"code": "resolved"
},
"ticket_sla_policy": {
"id": 5,
"label": "Medium",
"priority": "medium"
}
}
]Authorizations
Company API key, sent as Authorization: Bearer <key>. Create it in the dashboard (Developer > API Keys) with the permissions the integration needs.
Query Parameters
Use code value from status to filter tickets by status
Use code value from status to filter tickets by SLA priority
Response
200 - application/json
The data
⌘I
Search a ticket
curl --request GET \
--url https://shortext.ny-corp.io/api/ticket/search \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://shortext.ny-corp.io/api/ticket/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://shortext.ny-corp.io/api/ticket/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://shortext.ny-corp.io/api/ticket/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": 62,
"app_id": 1,
"contact_detail_id": 2728,
"whatsapp_session_id": 6023,
"ticket_status_id": 7,
"position": 1,
"subject": "Problème technique lors de la recherche d'offres en marketing et commerce",
"description": "L'utilisateur Angèle recherche des opportunités en marketing et commerce, mais un problème technique (timeout lors de la recherche) empêche de fournir les résultats. Une assistance est nécessaire pour résoudre ce problème et fournir des offres pertinentes.",
"ticket_sla_policy_id": 5,
"responded_at": null,
"response_due_at": "2025-05-19T08:00:21.000000Z",
"resolved_at": null,
"resolved_due_at": "2025-05-19T15:00:22.000000Z",
"closed_at": null,
"is_response_breached": true,
"is_resolve_breached": true,
"satisfaction_requested": false,
"satisfaction_rating": null,
"meta": null,
"created_at": "2025-05-16T19:02:22.000000Z",
"updated_at": "2025-09-10T15:16:42.000000Z",
"hashid": "STT-XLWY6P",
"ticket_status": {
"id": 7,
"name": "Resolved",
"code": "resolved"
},
"ticket_sla_policy": {
"id": 5,
"label": "Medium",
"priority": "medium"
}
}
]